Issue compiling latest "Stalker PVR" client on Fedora 20/64bit ...
#1
Hello again friends ...

I'm trying to compile that latest "Stalker PVR" client (on Linux Fedora 20/64bit). The following procedure used to work a few months ago (and many times before that, too, so something probably changed).

Compilation and installation of the prerequisite pulse-eight and kodi-platform components (into /opt/KODI.d/) go well (steps shown here) ...

Code:
# ===================================================
# [b]BUILD PULSE-EIGHT PLATFORM ...[/b]
# ===================================================
cd /home/jdoe/Downloads/KODI.d/BUILD.d || exit 1
git clone https://github.com/Pulse-Eight/platform.git platform.d
cd /home/jdoe/Downloads/KODI.d/BUILD.d/platform.d || exit 1
cmake -DCMAKE_INSTALL_PREFIX=/opt/KODI.d
make
sudo make install
# ===================================================

# ===================================================
# [b]BUILD KODI-PLATFORM ...[/b]
# ===================================================
cd /home/jdoe/Downloads/KODI.d/BUILD.d || exit 1
git clone https://github.com/xbmc/kodi-platform.git kodi-platform.d
cd /home/jdoe/Downloads/KODI.d/BUILD.d/kodi-platform.d || exit 1
cmake -DCMAKE_INSTALL_PREFIX=/opt/KODI.d
make
sudo make install
# ===================================================

But, unfortunately, compilation of stalker-pvr fails at 'cmake' time. See the following output. I'm not sure how to interpret this failure (or the corresponding log file entries) and, even if I did, don't know what to do. Blush

Any ideas? (See below). Thank you in advance! Huh

Code:
# ===================================================
# BUILD STALKER PVR CLIENT ...
# ===================================================
cd /home/jdoe/Downloads/KODI.d/BUILD.d || exit 1
git clone https://github.com/kodi-pvr/pvr.stalker.git pvr-stalker.d
cd /home/jdoe/Downloads/KODI.d/BUILD.d/pvr-stalker.d || exit 1
cmake -DCMAKE_INSTALL_PREFIX=/opt/KODI.d
#make
#sudo make install
# ===================================================



Code:
CMake Error at /opt/KODI.d/lib/kodi/addon-helpers.cmake:19 (FILE):
  file Internal CMake error when trying to open file:
  /home/jdoe/Downloads/KODI.d/BUILD.d/pvr-stalker.d/pvr.stalker/addon.xml
  for reading.
Call Stack (most recent call first):
  /opt/KODI.d/lib/kodi/addon-helpers.cmake:29 (addon_version)
  CMakeLists.txt:38 (build_addon)

-- Configuring incomplete, errors occurred!
See also "/home/jdoe/Downloads/KODI.d/BUILD.d/pvr-stalker.d/CMakeFiles/CMakeOutput.log".
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Issue compiling latest "Stalker PVR" client on Fedora 20/64bit ...00
This forum uses Lukasz Tkacz MyBB addons.